Loading...
Searching...
No Matches
Qore::MethodAccessInfo Struct Reference

methhod and inheritance access information More...

`#include <QC_Class.dox.h>`

## Public Attributes

int | access
| access code for the class containing the method; see Access Constants for valid values
string | access_string
| access string for the class containing the method; one of `"public"`, `"private"`, or `"private:internal"`
AbstractMethod | method
| the inherited method

## Detailed Description

methhod and inheritance access information

The access information in this hash is the access of the class containing the method; to get the access modifier of any method variant, the maximum of the access value provided here and the access value of the variant must be taken.

Since
  Qore 0.9

The documentation for this struct was generated from the following file:

- modules/reflection/src/QC_Class.dox.h